Index: DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java	(revision 1208)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java	(revision 1420)
@@ -5,6 +5,6 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.EnergyEventType;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEventType;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.PowerProfile;
@@ -35,5 +35,5 @@
 				resource.setStatus(ResourceStatus.FREE);
 			}
-			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getFullName()));		
+			resource.handleEvent(new ResourceEvent(ResourceEventType.POWER_STATE_CHANGED, resource.getFullName()));		
 		}
 
@@ -69,5 +69,5 @@
 			//speed.setAmount(Double.valueOf(currentPState.getFrequency()).intValue());
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
-			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getFullName()));
+			resource.handleEvent(new ResourceEvent(ResourceEventType.CPU_FREQUENCY_CHANGED, resource.getFullName()));
 			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class AmdNodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class AtomD510NodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class IntelNodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1365)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1420)
@@ -14,5 +14,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.resources.units.PEUnit;
@@ -42,5 +42,5 @@
 	static int MISSED = 0;
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 1208)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 1420)
@@ -2,5 +2,5 @@
 
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -9,5 +9,5 @@
 public class RecsCpuEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java	(revision 1208)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java	(revision 1420)
@@ -1,5 +1,5 @@
 package test.article.recs.plugins.energy;
 
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -8,5 +8,5 @@
 public class RecsCoreEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class AtomZ510NodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
